PACKED Struct Reference

## Data Fields

UINT16 | AlgorithmId
UINT8 | Digest []
UINT32 | EventSize
UINT8 | Event []
UINT32 | PCRIndex
UINT32 | EventType
UINT32 | DigestCount
TCG_DIGEST2 | Digests []
char16_t | c
uuid_t | VariableName
UINT64 | UnicodeNameLength
UINT64 | VariableDataLength
char16_t | UnicodeName []
UEFI_PHYSICAL_ADDRESS | BlobBase
UINT64 | BlobLength
UINT32 | pcrIndex
UINT32 | eventType
BYTE | digest [20]
UINT32 | eventDataSize
BYTE | event []
UINT16 | algorithmId
UINT16 | digestSize
UINT8 | vendorInfoSize
BYTE | vendorInfo []
BYTE | Signature [16]
UINT32 | platformClass
UINT8 | specVersionMinor
UINT8 | specVersionMajor
UINT8 | specErrata
UINT8 | uintnSize
UINT32 | numberOfAlgorithms
TCG_SPECID_ALG | digestSizes []
UEFI_PHYSICAL_ADDRESS | ImageLocationInMemory
UINT64 | ImageLengthInMemory
UINT64 | ImageLinkTimeAddress
UINT64 | LengthOfDevicePath
BYTE | DevicePath []
union { |
BYTE StartupLocality |
} | Cases

The documentation for this struct was generated from the following file:

- src/tss2-fapi/efi_event.h